Subject: Re: bug#74615: 30.0.92; js-find-symbol automatically activates ido-mode

From: Dmitry Gutov <[email-masked]>
Date: Sat, 30 Nov 2024 19:05:41 +0200

On 30/11/2024 10:02, Eli Zaretskii wrote:
>> js-find-symbol/js--read-symbol reads a symbol via ido-completing-read
>> and automatically activates ido-mode. For users of other completion
>> systems (default completion, Icomplete/Fido, Vertico, Helm, ...) this is
>> not desired. Icomplete/Fido/Vertico/etc. replace Ido and provide similar
>> behavior for general completing-read.
> This code is there since the day js.el was added, so I don't think
> removing the activation of ido-mode is something we can do

FWIW we've removed this command from the default js-mode bindings last 
year (9cbf0bb3ee88) and haven't heard any complaints, so it might not 
have too many users these days. Cleaning it up sounds reasonable.